Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.internet
Class InternetHeaders.InternetHeader

    java.lang.Object
      javax.mail.Header
          javax.mail.internet.InternetHeaders.InternetHeader

Enclosing class:
  InternetHeaders

    protected static final class InternetHeaders.InternetHeader

extends Header

An individual internet header. This class is only used by subclasses of InternetHeaders.

An InternetHeader object with a null value is used as a placeholder for headers of that name, to preserve the order of headers. A placeholder InternetHeader object with a name of ":" marks the location in the list of headers where new headers are added by default.

Since:
  JavaMail 1.4

Field Summary

Fields inherited from class javax.mail.Header
`name, value`

Constructor Summary
`InternetHeaders.InternetHeader(java.lang.String l)` Constructor that takes a line and splits out the header name.
`InternetHeaders.InternetHeader(java.lang.String n, java.lang.String v)` Constructor that takes a header name and value.

Method Summary
`java.lang.String` | `getValue()` Return the "value" part of the header line.

Methods inherited from class javax.mail.Header
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetHeaders.InternetHeader

    public InternetHeaders.InternetHeader(java.lang.String l)

  Constructor that takes a line and splits out the header name.

### InternetHeaders.InternetHeader

    public InternetHeaders.InternetHeader(java.lang.String n,
                                          java.lang.String v)

  Constructor that takes a header name and value.

Method Detail

### getValue

    public java.lang.String getValue()

  Return the "value" part of the header line.

  Overrides:
    `getValue` in class `Header`
  Returns:
    value of the header

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD